aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Callen <abcd@gentoo.org>2010-07-16 00:25:10 -0400
committerJonathan Callen <abcd@gentoo.org>2010-07-16 00:37:40 -0400
commit7e06faad780b0de12c3d0c93dede28d1e849cf2f (patch)
tree4e272c71bc4d0be78aaa489238ea26822aeff295 /www-client
parentx11-libs/libnotify: add, mask 0.5.1 (diff)
downloadgnome-7e06faad780b0de12c3d0c93dede28d1e849cf2f.tar.gz
gnome-7e06faad780b0de12c3d0c93dede28d1e849cf2f.tar.bz2
gnome-7e06faad780b0de12c3d0c93dede28d1e849cf2f.zip
www-client/epiphany: add, mask 2.31.5
Diffstat (limited to 'www-client')
-rw-r--r--www-client/epiphany/Manifest2
-rw-r--r--www-client/epiphany/epiphany-2.31.5.ebuild68
2 files changed, 70 insertions, 0 deletions
diff --git a/www-client/epiphany/Manifest b/www-client/epiphany/Manifest
new file mode 100644
index 00000000..e32e4d9a
--- /dev/null
+++ b/www-client/epiphany/Manifest
@@ -0,0 +1,2 @@
+DIST epiphany-2.31.5.tar.bz2 5948565 RMD160 a4d3ef6dcc096d57d7365eab980ee7e8db54f5b2 SHA1 449e95f91d32ab37a99e2a452ef6556fced08b52 SHA256 804633bcd234b8830004d5f7a17fd86c43661f30db545d07aca73276d28e7fe0
+EBUILD epiphany-2.31.5.ebuild 1850 RMD160 6ef294bf5d863edb2e3b2f681eb85b4fd4b94e23 SHA1 a83baa3086d81ea4a671d2fdb86a473222791c95 SHA256 9961aed6da5ca9aea3b6ea6cbe70931a72754b1dffefab5b38b2fe051f690885
diff --git a/www-client/epiphany/epiphany-2.31.5.ebuild b/www-client/epiphany/epiphany-2.31.5.ebuild
new file mode 100644
index 00000000..885e974a
--- /dev/null
+++ b/www-client/epiphany/epiphany-2.31.5.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-client/epiphany/epiphany-2.30.2.ebuild,v 1.1 2010/06/13 21:09:33 pacho Exp $
+
+EAPI="2"
+
+inherit eutils gnome2
+
+DESCRIPTION="GNOME webbrowser based on Webkit"
+HOMEPAGE="http://www.gnome.org/projects/epiphany/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~sparc ~x86"
+
+IUSE="avahi doc +introspection networkmanager +nss test"
+
+# TODO: add seed support
+RDEPEND=">=dev-libs/glib-2.19.7
+ >=x11-libs/gtk+-2.90.4:3[introspection?]
+ >=dev-libs/libxml2-2.6.12
+ >=dev-libs/libxslt-1.1.7
+ >=x11-libs/startup-notification-0.5
+ >=x11-libs/libnotify-0.5.1
+ >=dev-libs/dbus-glib-0.71
+ >=gnome-base/gconf-2
+ >=app-text/iso-codes-0.35
+ >=net-libs/webkit-gtk-1.3.2:3.0[introspection?]
+ >=net-libs/libsoup-2.29.91[gnome]
+ >=gnome-base/gnome-keyring-2.26.0
+
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+
+ avahi? ( >=net-dns/avahi-0.6.22 )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.7 )
+ networkmanager? ( net-misc/networkmanager )
+ nss? ( dev-libs/nss )
+ x11-themes/gnome-icon-theme"
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.9
+ >=dev-util/intltool-0.40
+ >=app-text/gnome-doc-utils-0.3.2
+ sys-devel/gettext
+ gnome-base/gnome-common
+ doc? ( >=dev-util/gtk-doc-1 )"
+
+DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS README TODO"
+
+pkg_setup() {
+ G2CONF="${G2CONF}
+ --disable-scrollkeeper
+ --disable-maintainer-mode
+ --with-distributor-name=Gentoo
+ $(use_enable avahi zeroconf)
+ $(use_enable introspection)
+ $(use_enable networkmanager network-manager)
+ $(use_enable nss)
+ $(use_enable test tests)"
+}
+
+src_compile() {
+ # Fix sandbox error with USE="introspection"
+ # https://bugs.webkit.org/show_bug.cgi?id=35471
+ addpredict "$(unset HOME; echo ~)/.local"
+ emake || die "Compile failed"
+}